﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.pragmaticworks.com/release/2017.4/TaskFactory_2017.4.5.1106.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '677984A2CB4CB50598E59B0D64EE8AA46A3E667F17799DEADA701F1EBCC70A91'
  checksumType = 'sha256'
  checksum64 = 'Njc3OTg0QTJDQjRDQjUwNTk4RTU5QjBENjRFRThBQTQ2QTNFNjY3RjE3Nzk5REVBREE3MDFGMUVCQ0M3MEE5MQ=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
